Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1513

Summary: Please add info to the FAQ about how to re-open a bug report
Product: [Community] Bugzilla Reporter: jve
Component: Bugzilla GeneralAssignee: David Lawrence <dkl>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 2.1rC   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-11-19 22:42:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description jve 1999-03-15 08:09:54 UTC
I had found a solution to a bug report that was previously
closed as WORKSFORME.  But I couldn't see how to re-open it.

Is this because I was not the original reporter?  Is it
even possible for someone other than the original reporter
to re-open a bug?  How about explaining this in the FAQ?

Also, I think it would help to have a link to the FAQ at
the top of all pages returned by bugzilla so one does not
have to hunt around for it.  Maybe add to the end of the
"This is Bugzilla" paragraph - "... or see the |FAQ|."

Comment 1 Need Real Name 1999-03-25 16:35:59 UTC
Good point -- one of the previously undocumented features is that a
resolved bug that has a comment added should be automagically
re-opened.  Please try adding a comment to the bug in question, and
verify this.  If it doesn't work I'll look into it, fix it, and add it
to the FAQ.

------- Email Received From  John Van Essen <jve@gamers.org> 03/26/99 05:29 -------

Comment 2 Anonymous 1999-04-22 20:07:59 UTC
Has this been resolved?

------- Additional Comments From   10/18/99 19:41 -------
This has not been totally resolved yet...

Posting a comment to a previously closed bug report does, indeed,
re-open it.  The 'reporter' apparently continues to be the original
reporter, but I guess that's no biggie.

Nothing has been added to the FAQ, yet.  Perhaps something like:

Q. Can a previously-closed bug report be re-opened?

A. Yes - anyone (not just the original reporter) can re-open a bug
report by posting a new comment to it.  This comment should include
new information affecting the resolution, such as how to consistently
reproduce a bug or a more complete description of an unsolved problem.

Comment 3 jve 1999-10-18 23:57:59 UTC
Well, there's a little buglet...

I composed my message without first logging in.  When I tried to
Commit, bugzilla then went to a login page, where I then logged in.
My message then got posted by bugzilla, but without anything that
identified who it was from (see this bug report page).

So the login info doesn't get passed back to the message posting
process when a delayed login is needed.

Comment 4 David Lawrence 1999-11-19 22:42:59 UTC
This has been reimplemented in the newer version of Bugzilla we are currently
running. The default policy now is to only allow the original reporter, the
assigned to person, and other privileged members to reopen a bug. But you can
add a comment if you wish to a bug that has been closed and the
reporter/assigned person will receive a message stating the comment and they can
reopen it if needed. We may change this policy in the future if it causes to
many problems.

As for the adding of a comment with out login name being added that should be
fixed now.